<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.diagbot.mapper.TranFieldInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.diagbot.entity.TranFieldInfo">
        <id column="id" property="id" />
        <result column="is_deleted" property="isDeleted" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="creator" property="creator" />
        <result column="modifier" property="modifier" />
        <result column="uuid" property="uuid" />
        <result column="icss_field" property="icssField" />
        <result column="his_field" property="hisField" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
    </resultMap>

    <select id="getInfosByUuid" resultType="com.diagbot.dto.TranFieldInfoDTO">
        SELECT * FROM `tran_field_info` t where t.status = '1'and t.is_deleted = 'N' and FIND_IN_SET(#{uuid},uuid)
    </select>
</mapper>
